Skip to main content
Home >> Download >> C++ >> 1.0.0-RELEASE

OpenRTM-aist-1.0.0-RELEASE_en

cpp_logo.png

Source code/patches

C++ source code OpenRTM-aist-1.0.0-RELEASE.tar.bz2
MD5:18127b5fa5c6f692918c11cec6519a2f
2010.01.28
C++ source code OpenRTM-aist-1.0.0-RELEASE.tar.gz
MD5:c2f810e3b638df8b53fc4a4fd2d41189
2010.01.28
C++ source code for Windows OpenRTM-aist-1.0.0-RELEASE-win32.zip
MD5:c26df500cb01db0c6289b546bd7bc54a
2010.01.28


Pre-built packages for Windows

Windows installer

Visual Studio 2008
Windows installer OpenRTM-aist-1.0.0-RELEASE_vc9_100212.msi
MD5:abfc1c2a6a7f6997f7c7ffc2ecaff094
2010.02.12
Python Windows installer python-2.6.4.msi python.org
PyYAML (for rtc-template) PyYAML-3.09.win32-py2.6.exe pyyaml.org
OpenCV Windows installer OpenCV_1.0.exe sourceforge


Visual Studio 2005
Windows installer OpenRTM-aist-1.0.0-RELEASE_vc8_100212.msi
MD5:fd0bf260fc39b34bb9c82978c22889c9
2010.02.12
Python Windows installer python-2.6.4.msi python.org
PyYAML (for rtc-template) PyYAML-3.09.win32-py2.6.exe pyyaml.org
OpenCV Windows installer OpenCV_1.0.exe sourceforge
  • The Windows installer includes OpenRTM-aist (DLL,header,samples,commands), omniORB-4.1.4, and RTSystemEditor (RCP version). Installing omniORB and the Eclipse tools separately is not necessary.
  • OpenRTM-aist (and ACE, omniORB, etc) built for Visual Studio 2005 cannot be used with Visual Studio 2008. Download and install the correct package for your development environment
  • The redistributable package contains the Visual Studio runtime libraries. It should be installed on systems where Visual Studio (VC++) is not installed in order to run RT-Components.


Pre-built packages for Linux

You can install rpm/deb packages with apt-get and yum from OpenRTM-aist's repository.

You can easily install all required packages in block by using the following installer scripts.

Distributions Versions Installer scripts
Vine Linux 4.0, 4.2, 5.0 pkg_install_vine.sh
Fedora 10, 11, 12 (both i386/x86_64) pkg_install_fedora.sh
Ubuntu 8.04, 8.10, 9.04, 9.10, 10.04 (both i386/x86_64) pkg_install_ubuntu.sh
Debian 3.1 (i386), 4.0, 5.0 (both i386, x86_64) pkg_install_debian.sh


MacPorts

A Portfile for MacPorts is available. Xcode and MacPorts are required to install this Portfile. Please install them previously.


Tools

All-in-one package
(RTSystemEditor1.0.0+RTCBUilder1.0.0)
eclipse32_rtse100_rtcb100_win32.zip
MD5:928571cf94486b2f066edb2a8a2a6e1c
2009.06.17


Release notes: 1.0.0-RELEASE

  • OpenRTM-aist-1.0.0-RELEASE.tar.gz -- 2010.01.28 released
    • Compliant with the OMG RTC specification version 1.0.
    • New data port has been introduced.
      • Push/pull data flow types are supported.
      • Subscription types have been implemented.
      • Publisher policies have been implemented.
      • Buffering policy and time-out functionality have been implemented.
    • Miscellaneous bug fixes.
    • New options in rtc.conf.
    • CORBA memory leak fixes.
    • Manager CORBA service has been implemented (experimental).
      • Master-slave managers.
      • INS (interoperable naming service) manager CORBA object has been supported.
      • Automatic loading for shared objects (.so and .DLL) has been implemented.
    • Supported operating systems (verified).
      • Debian4.0-i686
      • Debian4.0-x86_64
      • Debian5.0-i686
      • Debian5.0-x86_64
      • Fedora release 10 (Cambridge)-i686
      • Fedora release 10 (Cambridge)-x86_64
      • Fedora release 11 (Leonidas)-i686
      • Fedora release 11 (Leonidas)-x86_64
      • Fedora release 12 (Constantine)-i686
      • Fedora release 12 (Constantine)-x86_64
      • FreeBSD5.5-RELEASE-amd64
      • FreeBSD5.5-RELEASE-i386
      • FreeBSD6.0-RELEASE-amd64
      • FreeBSD6.0-RELEASE-i386
      • FreeBSD6.2-RELEASE-amd64
      • FreeBSD6.2-RELEASE-i386
      • FreeBSD7.0-RELEASE-amd64
      • FreeBSD7.0-RELEASE-i386
      • Ubuntu 8.04-i686
      • Ubuntu 8.04-x86_64
      • Ubuntu 8.10-i686
      • Ubuntu 8.10-x86_64
      • Ubuntu 9.04-i686
      • Ubuntu 9.04-x86_64
      • Ubuntu 9.10-i686
      • Ubuntu 9.10-x86_64
      • Vine Linux 4.0 (Latour)-i686
      • Vine Linux 4.2 (Lynch Bages)-i686
      • Vine Linux 5.0 (Lafite)-i686
      • Windows-XP-VC2005-i386
      • Windows-Vista-VC2008-i386